<?php
//Activamos el almacenamiento en el buffer
ob_start();
session_start();
if (!isset($_SESSION["nombre"]))
{
  header("Location: login.html");
}
else
{
require 'header.php';

if ($_SESSION['Escritorio']==1)
{
?>
    <!-- Inicio Contenido PHP-->
    <div class="row">
        <div class="col-lg-12">
            <div class="main-box clearfix">
          <div class="row">


 

  
   
       
      
            
       <body>
     
       <div class="container-fluid">
            <div class="row">
               

        <div class="col-sm-12">
        <div class="container">


            
        
            <a href="webPrestamos.php" class="btn btn-success"><i class="fa fa-plus"></i> Nuevo préstamo</a>
            <hr/>
        </div>
        <br>
         <table class="table table-bordered table-striped dt-responsive tablas" width="100%">
            <thead>
              <tr>
              <th>ID</th>
              <th>DNI</th>
              <th>Nombre</th>
              <th>Monto</th>
              <th>Saldo</th>
              <th>Interés</th>
              <th>Cancelado</th>
              <th>Opciones</th>
              </tr>
            </thead>
            <tbody>
              <?php
              require_once 'ControladorPrestamo.php';
              require_once 'Conexion.php';
              $cPrestamo = new ControladorPrestamo();
              $prestamos = $cPrestamo->obtenerInactivos();
              $numPrestamos = count($prestamos);
            for ($i=0; $i <$numPrestamos ; $i++) {
                $conn = new Conexion();
                $stmn = "SELECT MAX(num_cuota) FROM cuota WHERE ID_prestamo='" . $prestamos[$i]->id_prestamo . "'";
                $resultado = $conn->execQueryO($stmn);
                $max_cuota = $resultado->fetch_assoc();
                $porcentaje = (100-($prestamos[$i]->saldo / $prestamos[$i]->monto)*100);
                $cu = $max_cuota['MAX(num_cuota)'];
                echo '<tr>';
                echo '<td>' . $prestamos[$i]->id_prestamo. '</td>';
                echo '<td>' . $prestamos[$i]->cliente->dui . '</td>';
                echo '<td>' . $prestamos[$i]->cliente->nombres . ' ' . $prestamos[$i]->cliente->apellidos . '</td>';
                echo '<td>S/ ' . $prestamos[$i]->monto. '</td>';
                echo '<td>S/ ' . $prestamos[$i]->saldo . '</td>';
                echo '<td>' . $prestamos[$i]->tasa_interes. '%</td>';
                echo '<td>' . round($porcentaje, 2) . '%</td>';
                echo '<td>'.'<a href="detallePrestamo.php?id_prestamo='.$prestamos[$i]->id_prestamo.'" data-toggle="tooltip" data-placement="bottom" title="Detalle"><button class="btn btn-sm btn-primary"><i class="fa fa-eye"></i></button></a>';
                echo '<a data-toggle="tooltip" data-placement="bottom" title="Nuevo pago" href="formNuevoPago.php?id_prestamo='.$prestamos[$i]->id_prestamo.'&fecha_ultimo_pago='.$prestamos[$i]->fecha_ultimo_pago.'&nombres='.$prestamos[$i]->cliente->nombres.'&apellidos='.$prestamos[$i]->cliente->apellidos.'&monto='.$prestamos[$i]->monto.'&tasa_interes='.$prestamos[$i]->tasa_interes.'&cantidad_cuotas='.$prestamos[$i]->cantidad_cuotas.'&valor_cuota='.$prestamos[$i]->valor_cuota.'" ><button class="btn btn-sm btn-success"><i class="fa fa-usd"></i></button></a>';
                echo '<a target="_blank" href="contrato.php?id_prestamo='.$prestamos[$i]->id_prestamo.'&dui='.$prestamos[$i]->cliente->dui.'" data-toggle="tooltip" data-placement="bottom" title="Contrato"><button class="btn btn-sm btn-warning"><i class="fa fa-file"></i></button></a></tr>';
            }
               ?>
            </tbody>
        </table>
        </div>
        </div>
        </div>
         <script src="js/tablas.js"></script>
        <script>
          $(document).ready(function(){
              $('[data-toggle="tooltip"]').tooltip();
          });
        </script>

    </body>

  
     


     

 
 
 
                </div>
                </div>
                <div class="main-box-body clearfix" >
                </div>
                
            </div>
        </div>
   
    <!-- Fin Contenido PHP-->
    <?php
}
else
{
 require 'noacceso.php';
}

require 'footer.php';
?>
        
<?php 
}
ob_end_flush();
?>

